/*
	Licensed Material - Property of IBM

	(C) Copyright 2015, 2016 IBM Corp.

	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/


'use strict';

var log = require('npmlog');
var detect = require('./detectCordova');
var parse = require('./parseConfigXml');
var processPropertiesFile = require('./processClientPropertiesFile');
var prepare = require('./cordovaPrepare');
var generateChecksum = require('./generateChecksum');
var encryptWWWFolder = require('./encryptWWWFolder');
var appConfig = require('./appConfig');
var getAppConfigKeys = appConfig.getAppConfigKeys;
var setAppConfigKey = appConfig.setAppConfigKey;

/**
 * actually do the work of the command
 */
 log.level = global.MDO_CLI_LOG_LEVEL ? global.MDO_CLI_LOG_LEVEL : log.level;

module.exports = {
    detect: detect,
    parse: parse,
    processPropertiesFile: processPropertiesFile,
    prepare: prepare,
    generateChecksum: generateChecksum,
    encryptWWWFolder: encryptWWWFolder,
    getAppConfigKeys: getAppConfigKeys,
    setAppConfigKey: setAppConfigKey
};
